Subject: Re: Static PW label provisioning

From: Toby Smith <[email-masked]>
Date: 24 Mar 2003 09:13:18 -0500

"Andrew G. Malis" <[email-masked]> writes:

> Tom,
> 
> Thanks - I was about to make this same point myself.  I would like to propose
> that this draft either become a WG draft on its own, or be folded into
> draft-ietf-pwe3-control-protocol-02.  As Mark pointed out in that other
> thread, it mirrors the way status signaling is done with L2TP, so it maintains
> the symmetry between MPLS and L2TP tunnels.  It also provides status signaling
> support for the static case without having to withdraw or re-advertise static
> labels.  And to get back to the primary subject of this thread, I've been
> talking to multiple service providers are already either planning, testing, or
> deploying PWE3 services with static labels.  They have a number of different
> requirements that lead to the use of static labels, including network
> management policies and the ability to provision PWs that cross area, AS,
> and/or provider boundaries without requiring the use of cross-area, cross-AS,
> or cross-provider dynamic label allocation.  So there are a number of good
> reasons for retaining static provisioning, and using
> draft-shah-pwe3-control-protocol-extension as the status signaling component.

Given enough time, everything comes full circle.

When we were discussing draft-shah, I added the section for the new
status message; in the case of draft-shah, it was used to denote CE IP
addresses.  After a lukewarm reception it ended up sticking, but with
the feeling that ultimately it might be nice to move such a message
into the main control draft since it could serve a more generic
purpose.

More recently, we've been using the status message for another
application, namely, to convey the CE-facing interface's status to a
remote PE.  Thinking the time might be at hand to incorporate this
message into pwe3-control, I wrote up a few new sections and sent it
off to Eric and Luca for their thoughts.  They believed that I should
present the message on its own in a separate draft, to avoid any
perceptions of making a control draft end-run.

I was happy with this, but, as this conversation took place a few days
before this IETF deadline, I didn't have time to pull the text into a
separate document in time for this meeting.

It's more or less complete now, though, and if there's no strong
disagreement, I'd love to have one piece of text describing the use of
the status message; while I (with obvious bias...) think that the text
in draft-shah is fine, I don't believe it's the correct venue.

I can post my control extensions later today.

Regards,
Tob

---

From: Eric Rosen <[email-masked]>
Date: Mon, 24 Mar 2003 15:08:38 -0500

Andy> I've  been talking to  multiple service  providers are  already either
Andy> planning, testing, or deploying PWE3 services with static labels. 

Do you mean that each PW  endpoint is provisioned with both the incoming and
outgoing labels for that PW?  Or do you mean that only the incoming label is
provisioned?  If the former, it seems  like a nightmare to me (especially in
inter-provider cases), and  I'd like to hear some SP state  why they want to
do it.

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 24 Mar 2003 15:57:47 -0500

Eric,

They're provisioning both labels of a PW between PE pairs.  I can't betray 
any confidences, but I'll see if I can get direct input onto the list.

Cheers,
Andy

-------